<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (12.0.1) on Sun Jan 12 21:47:51 EST 2020 -->
<title>LinkedTransferExchange (protean-core 1.0.1 API)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-01-12">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="LinkedTransferExchange (protean-core 1.0.1 API)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">io.gitlab.littlesaints.protean.exchanges.blocking</a></div>
<h2 title="Class LinkedTransferExchange" class="title">Class LinkedTransferExchange&lt;E&gt;</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../AbstractMessageExchange.html" title="class in io.gitlab.littlesaints.protean.exchanges">io.gitlab.littlesaints.protean.exchanges.AbstractMessageExchange</a>&lt;E&gt;</li>
<li>
<ul class="inheritance">
<li>io.gitlab.littlesaints.protean.exchanges.blocking.LinkedTransferExchange&lt;E&gt;</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt><span class="paramLabel">Type Parameters:</span></dt>
<dd><code>E</code> - the getType of elements</dd>
</dl>
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="../MessageExchange.html" title="interface in io.gitlab.littlesaints.protean.exchanges">MessageExchange</a>&lt;E&gt;</code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">LinkedTransferExchange&lt;E&gt;</span>
extends <a href="../AbstractMessageExchange.html" title="class in io.gitlab.littlesaints.protean.exchanges">AbstractMessageExchange</a>&lt;E&gt;</pre>
<div class="block">A <code>TransferQueue</code> based <a href="../MessageExchange.html" title="interface in io.gitlab.littlesaints.protean.exchanges"><code>MessageExchange</code></a> that uses a <code>LinkedTransferQueue</code></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<div class="memberSummary">
<table>
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="LinkedTransferExchange._Registrar.html" title="class in io.gitlab.littlesaints.protean.exchanges.blocking">LinkedTransferExchange._Registrar</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<ul class="blockList">
<li class="blockList"><a id="nested.classes.inherited.from.class.io.gitlab.littlesaints.protean.exchanges.MessageExchange">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;io.gitlab.littlesaints.protean.exchanges.<a href="../MessageExchange.html" title="interface in io.gitlab.littlesaints.protean.exchanges">MessageExchange</a></h3>
<code><a href="../MessageExchange.Factory.html" title="interface in io.gitlab.littlesaints.protean.exchanges">MessageExchange.Factory</a>, <a href="../MessageExchange.Reader.html" title="interface in io.gitlab.littlesaints.protean.exchanges">MessageExchange.Reader</a>&lt;<a href="../MessageExchange.Reader.html" title="type parameter in MessageExchange.Reader">E</a>&gt;, <a href="../MessageExchange.Writer.html" title="interface in io.gitlab.littlesaints.protean.exchanges">MessageExchange.Writer</a>&lt;<a href="../MessageExchange.Writer.html" title="type parameter in MessageExchange.Writer">E</a>&gt;</code></li>
</ul>
</li>
</ul>
</section>
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<div class="memberSummary">
<table>
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TYPE">TYPE</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<ul class="blockList">
<li class="blockList"><a id="fields.inherited.from.class.io.gitlab.littlesaints.protean.exchanges.AbstractMessageExchange">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;io.gitlab.littlesaints.protean.exchanges.<a href="../AbstractMessageExchange.html" title="class in io.gitlab.littlesaints.protean.exchanges">AbstractMessageExchange</a></h3>
<code><a href="../AbstractMessageExchange.html#continueProcessing">continueProcessing</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="fields.inherited.from.class.io.gitlab.littlesaints.protean.exchanges.MessageExchange">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;io.gitlab.littlesaints.protean.exchanges.<a href="../MessageExchange.html" title="interface in io.gitlab.littlesaints.protean.exchanges">MessageExchange</a></h3>
<code><a href="../MessageExchange.html#REGISTRY">REGISTRY</a></code></li>
</ul>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<div class="memberSummary">
<table>
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(int,boolean,io.gitlab.littlesaints.protean.configuration.Config)">LinkedTransferExchange</a></span>&#8203;(int&nbsp;capacity,
                      boolean&nbsp;isMultiProducer,
                      <a href="../../configuration/Config.html" title="class in io.gitlab.littlesaints.protean.configuration">Config</a>&nbsp;config)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="tableTab" onclick="show(8);">Concrete Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code><a href="../MessageExchange.Reader.html" title="interface in io.gitlab.littlesaints.protean.exchanges">MessageExchange.Reader</a>&lt;E&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink">getReader</span>()</code></th>
<td class="colLast">
<div class="block">Provides an instance of <a href="../MessageExchange.Reader.html" title="interface in io.gitlab.littlesaints.protean.exchanges"><code>MessageExchange.Reader</code></a> for this exchange.</div>
</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink">isEmpty</span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code><a href="../MessageExchange.Writer.html" title="interface in io.gitlab.littlesaints.protean.exchanges">MessageExchange.Writer</a>&lt;<a href="LinkedTransferExchange.html" title="type parameter in LinkedTransferExchange">E</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#newWriter()">newWriter</a></span>()</code></th>
<td class="colLast">
<div class="block">Provides an instance of <a href="../MessageExchange.Writer.html" title="interface in io.gitlab.littlesaints.protean.exchanges"><code>MessageExchange.Writer</code></a> for this exchange.</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.io.gitlab.littlesaints.protean.exchanges.AbstractMessageExchange">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;io.gitlab.littlesaints.protean.exchanges.<a href="../AbstractMessageExchange.html" title="class in io.gitlab.littlesaints.protean.exchanges">AbstractMessageExchange</a></h3>
<code><a href="../AbstractMessageExchange.html#shutdown()">shutdown</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="TYPE">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TYPE</h4>
<pre>public static final&nbsp;java.lang.String TYPE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#io.gitlab.littlesaints.protean.exchanges.blocking.LinkedTransferExchange.TYPE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(int,boolean,io.gitlab.littlesaints.protean.configuration.Config)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>LinkedTransferExchange</h4>
<pre>public&nbsp;LinkedTransferExchange&#8203;(int&nbsp;capacity,
                              boolean&nbsp;isMultiProducer,
                              <a href="../../configuration/Config.html" title="class in io.gitlab.littlesaints.protean.configuration">Config</a>&nbsp;config)</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="newWriter()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>newWriter</h4>
<pre class="methodSignature">public&nbsp;<a href="../MessageExchange.Writer.html" title="interface in io.gitlab.littlesaints.protean.exchanges">MessageExchange.Writer</a>&lt;<a href="LinkedTransferExchange.html" title="type parameter in LinkedTransferExchange">E</a>&gt;&nbsp;newWriter()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../MessageExchange.html#newWriter()">MessageExchange</a></code></span></div>
<div class="block">Provides an instance of <a href="../MessageExchange.Writer.html" title="interface in io.gitlab.littlesaints.protean.exchanges"><code>MessageExchange.Writer</code></a> for this exchange. The implementation can return a cached instance, if it's thread-safe.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a writer</dd>
</dl>
</li>
</ul>
<a id="getReader()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getReader</h4>
<pre class="methodSignature">public&nbsp;<a href="../MessageExchange.Reader.html" title="interface in io.gitlab.littlesaints.protean.exchanges">MessageExchange.Reader</a>&lt;E&gt;&nbsp;getReader()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../MessageExchange.html#getReader()">MessageExchange</a></code></span></div>
<div class="block">Provides an instance of <a href="../MessageExchange.Reader.html" title="interface in io.gitlab.littlesaints.protean.exchanges"><code>MessageExchange.Reader</code></a> for this exchange. The implementation can return a cached instance, if it's thread-safe.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reader</dd>
</dl>
</li>
</ul>
<a id="isEmpty()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>isEmpty</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isEmpty()</pre>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
